﻿using UnityEngine;
using System.Collections;

public class Constants : MonoBehaviour {

	// Panels
	public const string PANEL_LB_ROTATE = "LBRotatePanel";
	public const string PANEL_WORLD_ROTATE = "LBWorldPanel";
	public const string PANEL_LB_PAN = "LBPanPanel";

	public const string PANEL_HERO_INTRO = "HeroIntroPanel";
	public const string PANEL_BUILDING_INTRO = "BuildingIntroPanel";

	public const string PANEL_FLY_OVER = "FlyOverPanel";
	public const string PANEL_HERO_RUN = "HeroRunPanel";
	public const string PANEL_BATMAN = "BatmanPanel";
	public const string PANEL_SLOW_WALK = "SlowWalkPanel";
	public const string PANEL_FIGHT = "FightPanel";
	public const string PANEL_DANCE_PARTY = "DancePanel";
	public const string PANEL_FLY_FORWARD = "FlyForwardPanel";
	
	// Hero Actions - Mecanim
	public const string ACTION_IDLE = "Idle";
	public const string ACTION_DANCE = "Dance";
	public const string ACTION_JUMP_UP = "JumpUp";
	public const string ACTION_DUKES_UP = "DukesUp";
	public const string ACTION_WIN = "Win";
	public const string ACTION_TPOSE = "TPose";
	public const string ACTION_WALK = "Walk";
	public const string ACTION_RUN = "Run";
	public const string ACTION_LEFT_JAB = "LeftJab";
	public const string ACTION_JOG = "Jog";
	public const string ACTION_CROUCH = "Crouch";
	public const string ACTION_PASS_OUT = "PassOut";
	public const string ACTION_RUN_CIRCLE = "RunCircle";
	public const string ACTION_POWER_UP = "PowerUp";

	// Hero Actions - Blender
	public const string ACTION_TAKE_OFF = "TakeOff";
	public const string ACTION_LANDING = "Landing";
	public const string ACTION_FLYING_POSE1 = "FlyingPose1";
	public const string ACTION_FLYING_POSE2 = "FlyingPose2";
	public const string ACTION_JUMP_FORWARD = "JumpForward";
	public const string ACTION_BLENDER_IDLE = "BlenderIdle";
	public const string ACTION_BASE = "Base";
	
	
	// Power
	public const string POWER_FLIGHT = "P1";
	public const string POWER_STRENGTH = "P2";
	public const string POWER_SUPER_SPEED = "P3";
	public const string POWER_LARGE = "P4";
	public const string POWER_ENERGY = "P5";


}
